Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/dataProviders/journals.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/dataProviders/journals.component.ts	(revision 53463)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/dataProviders/journals.component.ts	(revision 53464)
@@ -21,7 +21,7 @@
                     [(results)] = "results"  [(searchUtils)] = "searchUtils"
                     [baseUrl] = "baseUrl" [showResultCount]=false
                     (queryChange)="queryChanged($event)"
-                    [csvParams]="csvParams" csvPath="resources"
+                    [csvParams]="csvParams" csvPath="datasources"
                     [disableForms]="disableForms"
                     searchFormClass="journalsSearchForm">
     </search-page>
@@ -49,7 +49,7 @@
                         "export":[]
                      };
   public CSVDownloaded = false;
-  public resourcesQuery = '&query=((oaftype exact datasource) not(datasourcecompatibilityid = UNKNOWN) not(datasourcecompatibilityid = notCompatible) and (datasourcetypeuiid exact "pubsrepository::journal" or datasourcetypeuiid exact "aggregator::pubsrepository::journals" ))';
+  public resourcesQuery = '((oaftype exact datasource) not(datasourcecompatibilityid = UNKNOWN) not(datasourcecompatibilityid = notCompatible) and (datasourcetypeuiid exact "pubsrepository::journal" or datasourcetypeuiid exact "aggregator::pubsrepository::journals" ))';
   //"&query=((oaftype exact datasource) not(datasourcecompatibilityid = UNKNOWN) not(datasourcecompatibilityid = notCompatible) not(datasourcetypeuiid = other))";
   public csvParams: string;
   public disableForms: boolean = false;
@@ -85,7 +85,9 @@
       this.filters = this.createFilters();
       var queryParameters = this.searchPage.getIndexQueryParametersFromUrl(params);
       console.info("|"+queryParameters+"|");
-      this._getResults(queryParameters, false, this.searchUtils.page, this.searchUtils.size);
+      var csvParameters = this.searchPage.getQueryParametersFromUrl(params);
+
+      this._getResults(queryParameters, csvParameters, false, this.searchUtils.page, this.searchUtils.size);
     });
   }
 
@@ -96,8 +98,12 @@
     if(this.subResults){
       this.subResults.unsubscribe();
     }  }
-    private _getResults(parameters:string,refine:boolean, page: number, size: number){
-        this.csvParams = parameters+this.resourcesQuery+"&type=datasources";
+    private _getResults(parameters:string, csv_parameters:string, refine:boolean, page: number, size: number){
+      if(csv_parameters.indexOf("fq=") != -1) {
+        this.csvParams = csv_parameters+" and "+this.resourcesQuery;
+      } else {
+        this.csvParams = csv_parameters+"&fq="+this.resourcesQuery;
+      }
 
       //var errorCodes:ErrorCodes = new ErrorCodes();
       this.searchUtils.status = this.errorCodes.LOADING;
@@ -151,8 +157,9 @@
   public queryChanged($event) {
     var parameters = $event.index;
     console.info("queryChanged: Execute search query "+parameters);
+    var csv_parameters = $event.value;
 
-    this._getResults(parameters, false, this.searchUtils.page, this.searchUtils.size);
+    this._getResults(parameters,csv_parameters, false, this.searchUtils.page, this.searchUtils.size);
   }
   private createFilters():Filter[] {
     var filter_names=["Type","Compatibility Level"];
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/dataProviders/entityRegistriesTable.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/dataProviders/entityRegistriesTable.component.ts	(revision 53463)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/dataProviders/entityRegistriesTable.component.ts	(revision 53464)
@@ -188,7 +188,7 @@
 
 
   private createFilters():Filter[] {
-    var filter_names=["Type","Compatibility Level"];
+    var filter_names=["Type","Compatibility"];
     var filter_ids=["datasourcetypename","datasourcecompatibilityname"];
     var searchFields = new SearchFields();
     var filter_original_ids = searchFields.ENTITY_REGISTRIES_FIELDS;
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/connect/connectHelper.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/connect/connectHelper.ts	(revision 53463)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/connect/connectHelper.ts	(revision 53464)
@@ -1,13 +1,15 @@
 export class ConnectHelper{
 
   public static  getCommunityFromDomain(domain:string):string{
-    // domain = "beta.egi.openaire.eu"; for testing
+    domain = "test.explore.openaire.eu"; //for testing
     if(domain.indexOf("openaire.eu") == -1){
       return null;
     }
-    if(domain.indexOf("beta")!=-1){
+    if(domain.indexOf("beta.")!=-1){
       domain = domain.substr(domain.indexOf(".")+1,domain.length);
       domain = domain.substr(0,domain.indexOf("."));
+    }else if(domain.indexOf("test.")!=-1){
+      return null;
     }else{
       domain = domain.substr(0,domain.indexOf("."));
     }
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/landingPages/dataProvider/statisticsTab.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/landingPages/dataProvider/statisticsTab.component.ts	(revision 53463)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/landingPages/dataProvider/statisticsTab.component.ts	(revision 53464)
@@ -11,9 +11,9 @@
 
       <div *ngIf="searchPublicationsComponent.searchUtils.status == errorCodes.DONE || searchDatasetsComponent.searchUtils.status == errorCodes.DONE">
         <p class="uk-text-bold">Latest Documents Timeline</p>
-        <i-frame  [url]=docsTimelineUrl width="800" height="350"></i-frame>
+        <i-frame  [url]=docsTimelineUrl width="100%" height="350"></i-frame>
         <p class="uk-text-bold">Documents Types</p>
-        <i-frame [url]=docsTypesUrl width="800" height="350"></i-frame>
+        <i-frame [url]=docsTypesUrl width="100%" height="350"></i-frame>
       </div>
 
 
@@ -20,15 +20,15 @@
       <div *ngIf="(searchPublicationsComponent.searchUtils.totalResults > 0)">
           <div>
             <p class="uk-text-bold">Funders in content providers Publications</p>
-            <i-frame  [url]=docsFunderUrl width="800" height="350"></i-frame>
+            <i-frame  [url]=docsFunderUrl width="100%" height="350"></i-frame>
             <p class="uk-text-bold">Projects with most Publications</p>
-            <i-frame [url]=pubsProjectsUrl width="800" height="350"></i-frame>
+            <i-frame [url]=pubsProjectsUrl width="100%" height="350"></i-frame>
 
       </div>
       <div *ngIf="(searchDatasetsComponent.searchUtils.totalResults > 0)">
           <div>
             <p class="uk-text-bold">Projects with most Research Data</p>
-            <i-frame  [url]=dataProjectsUrl width="800" height="350"></i-frame>
+            <i-frame  [url]=dataProjectsUrl width="100%" height="350"></i-frame>
 
           </div>
       </div>
@@ -56,11 +56,11 @@
 
     ngOnInit() {
 
-      this.docsTimelineUrl ='https://www.openaire.eu/stats/chart.php?com=query&persistent=false&data={"query":"dtsrcYear","dtsrcName":"'+this.id+'","table": "result", "fields": [{"fld": "number", "agg": "count", "type": "line", "yaxis":1, "c":true}], "xaxis":{"name": "year", "agg": "avg"}, "group": "", "color": "", "type": "chart", "size":30, "sort": "xaxis", "xStyle":{"r": "-", "s": "-", "l": "-", "ft": "-", "wt": "-"}, "yaxisheaders": [""], "fieldsheaders": ["Documents"], "in": [{"f":0, "text": "Yearly"}], "filters": [{"name":"year","max":"2016","min":"1997"},{"name": "result_datasources-datasource-name", "values":[""], "to": "-1"}],"having": [], "incfilters": [], "inchaving": [], "title": "", "subtitle": "", "xaxistitle": "Year"}&w=600&h=250';
-      this.docsTypesUrl = 'https://www.openaire.eu/stats/chart.php?com=query&persistent=false&data={"query":"dtsrcPubs","dtsrcName":"'+this.id+'", "table": "result", "fields": [{"fld": "number", "agg": "count", "type": "pie", "yaxis":1, "c":false}], "xaxis":{"name": "result_classifications-type", "agg": "avg"}, "group": "", "color": "", "type": "chart", "size":30, "sort": "xaxis", "xStyle":{"r": "-", "s": "-", "l": "-", "ft": "-", "wt": "-"}, "yaxisheaders": [""], "fieldsheaders": ["Documents"], "in": [], "filters": [{"name": "result_datasources-datasource-name", "values": [""], "to": "-1"}], "having": [], "incfilters": [], "inchaving": [], "title": "", "subtitle": "", "xaxistitle": ""}&w=600&h=250';
-      this.docsFunderUrl =' https://www.openaire.eu/stats/chart.php?com=query&persistent=false&data={"query":"dtsrcPubsFund","dtsrcName":"'+this.id+'", "table": "result", "fields": [{"fld": "number", "agg": "count", "type": "pie", "yaxis":1, "c":false}], "xaxis":{"name": "result_classifications-type", "agg": "avg"}, "group": "", "color": "", "type": "chart", "size":30, "sort": "xaxis", "xStyle":{"r": "-", "s": "-", "l": "-", "ft": "-", "wt": "-"}, "yaxisheaders": [""], "fieldsheaders": ["Documents"], "in": [], "filters": [{"name": "result_datasources-datasource-name", "values": [""], "to": "-1"}], "having": [], "incfilters": [], "inchaving": [], "title": "", "subtitle": "", "xaxistitle": ""}&w=600&h=250';
-      this.dataProjectsUrl ='https://www.openaire.eu/stats/chart.php?com=query&persistent=false&data={"query":"dtsrcProjData","dtsrcName":"'+this.id+'", "table": "result", "fields": [{"fld": "number", "agg": "count", "type": "bar", "yaxis":1, "c":false}], "xaxis":{"name": "result_classifications-type", "agg": "avg"}, "group": "", "color": "", "type": "chart", "size":30, "sort": "xaxis", "xStyle":{"r": "-", "s": "-", "l": "-", "ft": "-", "wt": "-"}, "yaxisheaders": [""], "fieldsheaders": ["Datasets"], "in": [], "filters": [{"name": "result_datasources-datasource-name", "values": [""], "to": "-1"}], "having": [], "incfilters": [], "inchaving": [], "title": "", "subtitle": "", "xaxistitle": ""}&w=600&h=250';
-      this.pubsProjectsUrl ='https://www.openaire.eu/stats/chart.php?com=query&persistent=false&data={"query":"dtsrcProjPubs","dtsrcName":"'+this.id+'", "table": "result", "fields": [{"fld": "number", "agg": "count", "type": "bar", "yaxis":1, "c":false}], "xaxis":{"name": "result_classifications-type", "agg": "avg"}, "group": "", "color": "", "type": "chart", "size":30, "sort": "xaxis", "xStyle":{"r": "-", "s": "-", "l": "-", "ft": "-", "wt": "-"}, "yaxisheaders": [""], "fieldsheaders": ["Publications"], "in": [], "filters": [{"name": "result_datasources-datasource-name", "values": [""], "to": "-1"}], "having": [], "incfilters": [], "inchaving": [], "title": "", "subtitle": "", "xaxistitle": ""}&w=600&h=250';
+      this.docsTimelineUrl ='https://www.openaire.eu/stats/chart.php?com=query&persistent=false&data={"query":"dtsrcYear","dtsrcName":"'+this.id+'","table": "result", "fields": [{"fld": "number", "agg": "count", "type": "line", "yaxis":1, "c":true}], "xaxis":{"name": "year", "agg": "avg"}, "group": "", "color": "", "type": "chart", "size":30, "sort": "xaxis", "xStyle":{"r": "-", "s": "-", "l": "-", "ft": "-", "wt": "-"}, "yaxisheaders": [""], "fieldsheaders": ["Documents"], "in": [{"f":0, "text": "Yearly"}], "filters": [{"name":"year","max":"2016","min":"1997"},{"name": "result_datasources-datasource-name", "values":[""], "to": "-1"}],"having": [], "incfilters": [], "inchaving": [], "title": "", "subtitle": "", "xaxistitle": "Year"}&w=100%&h=250';
+      this.docsTypesUrl = 'https://www.openaire.eu/stats/chart.php?com=query&persistent=false&data={"query":"dtsrcPubs","dtsrcName":"'+this.id+'", "table": "result", "fields": [{"fld": "number", "agg": "count", "type": "pie", "yaxis":1, "c":false}], "xaxis":{"name": "result_classifications-type", "agg": "avg"}, "group": "", "color": "", "type": "chart", "size":30, "sort": "xaxis", "xStyle":{"r": "-", "s": "-", "l": "-", "ft": "-", "wt": "-"}, "yaxisheaders": [""], "fieldsheaders": ["Documents"], "in": [], "filters": [{"name": "result_datasources-datasource-name", "values": [""], "to": "-1"}], "having": [], "incfilters": [], "inchaving": [], "title": "", "subtitle": "", "xaxistitle": ""}&w=100%&h=250';
+      this.docsFunderUrl =' https://www.openaire.eu/stats/chart.php?com=query&persistent=false&data={"query":"dtsrcPubsFund","dtsrcName":"'+this.id+'", "table": "result", "fields": [{"fld": "number", "agg": "count", "type": "pie", "yaxis":1, "c":false}], "xaxis":{"name": "result_classifications-type", "agg": "avg"}, "group": "", "color": "", "type": "chart", "size":30, "sort": "xaxis", "xStyle":{"r": "-", "s": "-", "l": "-", "ft": "-", "wt": "-"}, "yaxisheaders": [""], "fieldsheaders": ["Documents"], "in": [], "filters": [{"name": "result_datasources-datasource-name", "values": [""], "to": "-1"}], "having": [], "incfilters": [], "inchaving": [], "title": "", "subtitle": "", "xaxistitle": ""}&w=100%&h=250';
+      this.dataProjectsUrl ='https://www.openaire.eu/stats/chart.php?com=query&persistent=false&data={"query":"dtsrcProjData","dtsrcName":"'+this.id+'", "table": "result", "fields": [{"fld": "number", "agg": "count", "type": "bar", "yaxis":1, "c":false}], "xaxis":{"name": "result_classifications-type", "agg": "avg"}, "group": "", "color": "", "type": "chart", "size":30, "sort": "xaxis", "xStyle":{"r": "-", "s": "-", "l": "-", "ft": "-", "wt": "-"}, "yaxisheaders": [""], "fieldsheaders": ["Datasets"], "in": [], "filters": [{"name": "result_datasources-datasource-name", "values": [""], "to": "-1"}], "having": [], "incfilters": [], "inchaving": [], "title": "", "subtitle": "", "xaxistitle": ""}&w=100%&h=250';
+      this.pubsProjectsUrl ='https://www.openaire.eu/stats/chart.php?com=query&persistent=false&data={"query":"dtsrcProjPubs","dtsrcName":"'+this.id+'", "table": "result", "fields": [{"fld": "number", "agg": "count", "type": "bar", "yaxis":1, "c":false}], "xaxis":{"name": "result_classifications-type", "agg": "avg"}, "group": "", "color": "", "type": "chart", "size":30, "sort": "xaxis", "xStyle":{"r": "-", "s": "-", "l": "-", "ft": "-", "wt": "-"}, "yaxisheaders": [""], "fieldsheaders": ["Publications"], "in": [], "filters": [{"name": "result_datasources-datasource-name", "values": [""], "to": "-1"}], "having": [], "incfilters": [], "inchaving": [], "title": "", "subtitle": "", "xaxistitle": ""}&w=100%&h=250';
     }
 
     ngOnDestroy() {}
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/landingPages/htmlProjectReport/htmlProjectReport.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/landingPages/htmlProjectReport/htmlProjectReport.component.ts	(revision 53463)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/landingPages/htmlProjectReport/htmlProjectReport.component.ts	(revision 53464)
@@ -21,7 +21,7 @@
 
       <div class="uk-container uk-margin-top">
           <div *ngIf="warningMessage" class="uk-alert uk-alert-warning" role="alert">{{warningMessage}}</div>
-          <div [style.display]="showLoading ? 'inline' : 'none'" class="uk-animation-fade uk-margin-large-top  uk-width-1-1" role="alert"><img class="loading-gif  uk-align-center" ></div>
+          <div [style.display]="showLoading ? 'inline' : 'none'" class="uk-animation-fade uk-margin-large-top  uk-width-1-1" role="alert"><span class="loading-gif  uk-align-center" ></span></div>
 
           <div *ngIf="!showLoading && !warningMessage">
             <h1 *ngIf="header1">{{header1}}</h1>
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/landingPages/landing-utils/showTitle.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/landingPages/landing-utils/showTitle.component.ts	(revision 53463)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/landingPages/landing-utils/showTitle.component.ts	(revision 53464)
@@ -4,7 +4,7 @@
 @Component({
     selector: 'showTitle',
     template: `
-        <h2 *ngIf="title != undefined">
+        <h2 *ngIf="title != undefined" class="landingTitle">
             <span   *ngIf="title['url'] != undefined && title['url'] != null && title['url'] != ''"
                     class="custom-external">
 
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/landingPages/landing-utils/fundedBy.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/landingPages/landing-utils/fundedBy.component.ts	(revision 53463)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/landingPages/landing-utils/fundedBy.component.ts	(revision 53464)
@@ -78,7 +78,7 @@
     public buildFundingTooltip(item: { "id": string, "acronym": string, "title": string,
                         "funderShortname": string, "funderName": string,
                         "funding": string, "code": string, "provenanceAction": string, inline: boolean}) {
-      let tooltipContent: string = "<div class='tooltip-custom-font-size uk-light uk-padding-small'>";
+      let tooltipContent: string = "<div class='tooltip-custom-font-size uk-padding-small'>";
 
       if(item.title) {
           tooltipContent += "<h5>"+item.title+"</h5>";
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/landingPages/landing-utils/citeThis/citeThis.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/landingPages/landing-utils/citeThis/citeThis.component.ts	(revision 53463)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/landingPages/landing-utils/citeThis/citeThis.component.ts	(revision 53464)
@@ -13,9 +13,10 @@
       <!--dt class="title">Cite this {{type}}</dt-->
       <dd class="line"  >
         <select class="select" id="citations" name="citeselect" [(ngModel)]="selectedStyle" (ngModelChange)="styleChanged()">
+          <option   value="0">select a citation style</option>
           <option *ngFor=" let  style of this.citation.templates let i = index" [value]="style">{{style}}</option>
         </select>
-        <div id="citation" class="box-content uk-padding-small" [innerHTML]=citationText></div>
+        <div *ngIf="selectedStyle!='0'" id="citation" class="box-content uk-padding-small" [innerHTML]=citationText></div>
       </dd>
     </dl>
   </div>
@@ -23,7 +24,7 @@
 })
 export class CiteThisComponent {
   private sub:any;
-  public selectedStyle:string;
+  public selectedStyle:string="0";
   public citationText:string;
   public citation:Citation = new Citation();
   // public cite: any;
@@ -35,7 +36,7 @@
 
 
   constructor(private route: ActivatedRoute) {
-    this.selectedStyle = this.citation.templates[0];
+    // this.selectedStyle = this.citation.templates[0];
   }
 
   ngOnInit() {
@@ -138,7 +139,7 @@
        }
     };
 
-    var citeproc = new CSL.Engine(new Sys(this.citation.locale,  this.data ), this.citation[this.selectedStyle]);
+    var citeproc = new CSL.Engine(new Sys(this.citation.locale,  this.data ), this.citation[(this.selectedStyle == "0")?this.citation.templates[0]:this.selectedStyle]);
     citeproc.updateItems([this.data.id]);
     this.citationText = citeproc.makeBibliography();
     this.citationText = ((this.citationText != null) && (this.citationText.length > 1) && (this.citationText[1].length > 0)) ? this.citationText[1][0] : '';
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/utils/subscribe/subscribe.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/utils/subscribe/subscribe.service.ts	(revision 53463)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/utils/subscribe/subscribe.service.ts	(revision 53464)
@@ -19,6 +19,9 @@
                        .map(res =>  ((<any>res =="")?{}:<any> res.json()))
 
                        .map(res => {
+                         if(res.status && res.status != 200) {
+                           return null;
+                         }
                          if(res.subscribers && res.subscribers != null){
 
                            for(var i =0; i< res.subscribers.length; i++ ){
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/utils/number-utils.class.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/utils/number-utils.class.ts	(revision 53463)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/utils/number-utils.class.ts	(revision 53464)
@@ -6,21 +6,22 @@
   public static roundNumber(num: number):any {
       console.log("Trying to round number: "+ num);
       var roundNum = null;
+      var initialNum = num;
       if(num >= 1000000){
         num=num/1000000;
         num= Math.round(num);
-        roundNum =  { "number": num, "size": "mi" };
+        roundNum =  { "number": num, "size": "mi", count: initialNum};
       }else if( num >= 10000){
         num=num/1000;
         num= Math.round(num);
-        roundNum =  { "number": num, "size": "K" };
+        roundNum =  { "number": num, "size": "K", count: initialNum};
       }else if (num >= 100) {
         num=num/100;
         num= Math.round(num);
         num=num*100;
-        roundNum =  { "number": num, "size": "" };
+        roundNum =  { "number": num, "size": "" , count: initialNum};
       }else{
-        roundNum =  { "number": num, "size": "" };
+        roundNum =  { "number": num, "size": "" , count: initialNum};
       }
       console.log("Rounded number: "+ roundNum.number + " "+ roundNum.size);
       return roundNum;
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/utils/properties/errorCodes.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/utils/properties/errorCodes.ts	(revision 53463)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/utils/properties/errorCodes.ts	(revision 53464)
@@ -7,4 +7,5 @@
   public OUT_OF_BOUND = 5;
   public NOT_FOUND = 6;
   public NOT_SAVED = 7;
+  public FORBIDDEN = 8;
 }
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/utils/entities/dataProviderInfo.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/utils/entities/dataProviderInfo.ts	(revision 53463)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/utils/entities/dataProviderInfo.ts	(revision 53464)
@@ -10,16 +10,18 @@
     originalId: string;
     countries: string[];
 
-    aggregationStatus: {"fundedContent": string, "indexRecords": string}; //collected from datasource api
+    aggregationStatus: {"fundedContent": string, "indexRecords": string, "fulltexts": string}; //collected from datasource api
 
     tabs: {"name": string, "content": string}[];
     tabs2: string[] =[];
     tabsInTypes = {
         "publicationsTab": new Set<string>(
-                        [   "aggregator::pubsrepository::institutional",
+                        [   "aggregator::datarepository",
+                            "aggregator::pubsrepository::institutional",
                             "aggregator::pubsrepository::unknown",
                             "aggregator::pubsrepository::journals",
                             "crissystem",
+                            "datarepository::unknown",
                             "infospace",
                             "pubsrepository::institutional",
                             "pubsrepository::journal",
@@ -27,17 +29,15 @@
                             "scholarcomminfra",
                             "pubsrepository::thematic",
                             "pubscatalogue::unknown",
-
-                            "aggregator::datarepository",
-                            "crissystem",
-                            "datarepository::unknown",
                             "orprepository"
                         ]),
         "datasetsTab": new Set<string>(
-                        [   "aggregator::pubsrepository::institutional",
+                        [   "aggregator::datarepository",
+                            "aggregator::pubsrepository::institutional",
                             "aggregator::pubsrepository::unknown",
                             "aggregator::pubsrepository::journals",
                             "crissystem",
+                            "datarepository::unknown",
                             "infospace",
                             "pubsrepository::institutional",
                             "pubsrepository::journal",
@@ -44,11 +44,6 @@
                             "pubsrepository::unknown",
                             "scholarcomminfra",
                             "pubsrepository::thematic",
-                            "pubscatalogue::unknown",
-
-                            "aggregator::datarepository",
-                            "crissystem",
-                            "datarepository::unknown",
                             "orprepository"
                         ]),
         "statisticsTab": new Set<string>(
@@ -79,10 +74,12 @@
                         ]),
         "softwareTab": new Set<string>(
                         [
-                          /*  "aggregator::datarepository",
+                            "aggregator::datarepository",
                             "aggregator::pubsrepository::institutional",
                             "aggregator::pubsrepository::unknown",
                             "aggregator::pubsrepository::journals",
+                            "crissystem",
+                            "datarepository::unknown",
                             "infospace",
                             "pubsrepository::institutional",
                             "pubsrepository::journal",
@@ -91,14 +88,16 @@
                             "pubsrepository::thematic",
                             "softwarerepository",
                             "aggregator::softwarerepository",
-                            "orprepository"*/
+                            "orprepository"
                         ]),
           "orpsTab": new Set<string>(
                           [
-                          /*  "aggregator::datarepository",
+                            "aggregator::datarepository",
                             "aggregator::pubsrepository::institutional",
                             "aggregator::pubsrepository::unknown",
                             "aggregator::pubsrepository::journals",
+                            "crissystem",
+                            "datarepository::unknown",
                             "infospace",
                             "pubsrepository::institutional",
                             "pubsrepository::journal",
@@ -107,7 +106,7 @@
                             "pubsrepository::thematic",
                             "softwarerepository",
                             "aggregator::softwarerepository",
-                            "orprepository"*/
+                            "orprepository"
                           ])
         /*
         ,
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/deposit/datasets/depositBySubject.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/deposit/datasets/depositBySubject.component.ts	(revision 53463)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/deposit/datasets/depositBySubject.component.ts	(revision 53464)
@@ -14,12 +14,12 @@
     template: `
         <div class="uk-margin-large-top">
 
-                <h3>Or search for domain specific repositories</h3>
+                <h5>Or search for domain specific repositories</h5>
 
                 <form class= "uk-grid">
                     <input type="text"  [(ngModel)]="subjectKeyword"  class="uk-margin-medium-left uk-padding-remove-left  uk-input" name="subject" placeholder="Type keywords (e.g Biology, Natural sciences, Social Sciences, Engineering Sciences... )"  style="width: 580px;" />
 
-                    <button class=" uk-button uk-button-danger"  type="submit" (click)="search()" >
+                    <button class=" uk-button portal-button"  type="submit" (click)="search()" >
                         Search
                     </button>
                 </form>
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/utils/errorMessages.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/utils/errorMessages.component.ts	(revision 53463)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/utils/errorMessages.component.ts	(revision 53464)
@@ -5,7 +5,7 @@
     selector: 'errorMessages',
     template: `
       <div *ngIf="status.some(checkErroCode(errorCodes.LOADING))"
-            [class]="(tab_error_class ? '' : 'uk-animation-fade') + ' uk-margin-top  uk-width-1-1'" role="alert"><img class="loading-gif  uk-align-center" ></div>
+            [class]="(tab_error_class ? '' : 'uk-animation-fade') + ' uk-margin-top  uk-width-1-1'" role="alert"><span class="loading-gif  uk-align-center" ></span></div>
       <div *ngIf="status.every(checkErroCode(errorCodes.NONE))"
             [class]="(tab_error_class ? 'uk-margin-top' : 'uk-animation-fade') + ' uk-alert uk-alert-primary'" role="alert">No {{type}} available</div>
       <div *ngIf="status.every(checkErroCode(errorCodes.ERROR)) ||
@@ -29,6 +29,9 @@
       <div *ngIf="status.some(checkErroCode(errorCodes.NOT_SAVED))"
             [class]="(tab_error_class ? 'uk-margin-top' : 'uk-animation-fade') + ' uk-alert uk-alert-warning'" role="alert">Changes could not be saved
       </div>
+      <div *ngIf="status.some(checkErroCode(errorCodes.FORBIDDEN))"
+            [class]="(tab_error_class ? 'uk-margin-top' : 'uk-animation-fade') + 'uk-alert uk-alert-danger'" role="alert">You are not allowed to access this page
+      </div>
     `
   })
 
